Skip to main content
GET
/
v1
/
channel
/
offer
/
stock-updates
/
all
Stock Updates (All Sellers)
curl --request GET \
  --url https://scx-sbx.api.jtl-software.com/v1/channel/offer/stock-updates/all \
  --header 'Authorization: Bearer <token>'
{
  "stockUpdateList": [
    {
      "channel": "CHANNEL",
      "sellerId": "TESTSELLER",
      "offerId": 4711,
      "channelOfferId": "SKU1",
      "quantity": 1,
      "updatedAt": "2025-12-29T14:13:06+00:00"
    }
  ],
  "lastUpdatedAt": "2025-12-29T14:13:06+00:00"
}

Authorizations

Authorization
string
header
required

As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.

Query Parameters

updatedAfter
string<date-time>
required

Filters stock updates to return only those modified after the specified date and time.

Response

Successful response with stock updates from all sellers

Response containing a list of stock updates and the timestamp of the last update

stockUpdateList
object[]
required

List of stock update objects containing inventory changes

lastUpdatedAt
string<date-time>
required

ISO 8601 timestamp indicating the lastest date of stock updates in the current list. Use this value as the updatedAfter parameter in subsequent requests to fetch only new stock updates.

Example:

"2025-12-29T14:13:06+00:00"